unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls,IdHTTP,IdHashMessageDigest,IdGlobal, IdHash;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Label1: TLabel;
    Edit1: TEdit;
    Label2: TLabel;
    Edit2: TEdit;
    Label3: TLabel;
    Edit3: TEdit;
    Label4: TLabel;
    Memo1: TMemo;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    function mt(sn, pwd, mobile, content, stime, ext,rrid: string): string;  //
    function md5(mdstr: string): string; //md5
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}


function URLEncode(const msg: String): String;
var
  I : Integer;
begin
  Result := '';
  for I := 1 to Length(msg) do begin
    if msg[I] = ' ' then
        Result := Result + '+'
    else if msg[I] in ['a'..'z', 'A'..'Z', '0'..'9'] then
        Result := Result + msg[I]
    else
        Result := Result + '%' + IntToHex(ord(msg[I]), 2);
  end;

end;

function TForm1.mt(sn, pwd, mobile, content, stime, ext,rrid: string): string;
  var
  aStream: TMemoryStream;
  Params: TStringStream;
  ASources:pchar;
  tl:tstringlist;
  resultstr,constr,str:string;
  IdHTTP1:TIdHTTP;
  jsstring: TStringList;//#13  سз
begin
try
resultstr:='';
IdHTTP1:=TIdHTTP.Create(nil);
aStream := TMemoryStream.Create;
Params :=TStringStream.Create('');
constr:='sn='+sn+'&pwd='+pwd+'&mobile='+mobile+'&content='+URLEncode(content)+'&ext='+ext+'&stime='+stime+'&rrid='+rrid;
Params.WriteString(constr);
IdHTTP1.Request.ContentType := 'application/x-www-form-urlencoded';
IdHTTP1.Request.ContentLength:=length(IdHTTP1.Request.ContentType);
IdHTTP1.ReadTimeout:=60000;
IdHTTP1.Host:='sdk2.zucp.net';
IdHTTP1.Port:=8060;
with IdHTTP1 do begin
IdHTTP1.Post('http://sdk2.zucp.net/webservice.asmx/mt',Params,aStream);
end;
jsstring:=Tstringlist.Create;
aStream.WriteBuffer(#0' ', 1);
ASources:=PChar(aStream.Memory);
if ASources<>'' then
begin
ExtractStrings([#13], [], ASources,jsstring); //ԻسзԽ;
str:=StringReplace(jsstring[1],'<string xmlns="http://tempuri.org/">','', [rfReplaceAll, rfIgnoreCase]);
str:=StringReplace(str,'</string>','', [rfReplaceAll, rfIgnoreCase]);
end else
str:='-999';
jsstring.Free;
aStream.free;
Params.free;
resultstr:=str;
except
on E: Exception do  begin
  resultstr:='';
end;
end;
result:=resultstr;
end;
{ TForm1 }

procedure TForm1.Button1Click(Sender: TObject);
begin
showmessage(mt(edit1.Text,md5(edit1.Text+edit2.Text),edit3.Text,memo1.Text,'','',''));
end;

function TForm1.md5(mdstr: string): string;
var
MyMD5: TIdHashMessageDigest5;
Digest: T4x4LongWordRecord;
str:string;
begin
MyMD5 := TIdHashMessageDigest5.Create;
Digest := MyMD5.HashValue(mdstr);
str:=MyMD5.AsHex(Digest);
result:= str;
end;

end.
